/*
100: Thin
200: Extra Light (Ultra Light)
300: Light
400: Normal (Regular)
500: Medium
600: Semi Bold (Demi Bold)
700: Bold
800: Extra Bold (Ultra Bold)
900: Black (Heavy)
*/

/* Styl dla akapitów */
p {
    font-family: "Pathway Extreme", sans-serif !important;
    font-size: 18px;
    line-height: 35px;
    letter-spacing: 0.36px;
    font-weight: 400; /* Regular */
}

/* Dodatkowe style dla różnych kombinacji */
p strong {
    font-weight: 700; /* Bold */
}

p em {
    font-style: italic;
    font-family: "Pathway Extreme", sans-serif !important;
}

p strong em, p em strong {
    font-weight: 700; /* Bold */
    font-style: italic;
    font-family: "Pathway Extreme", sans-serif !important;
}

.circle-char, .circle-word {
    font-weight: 500; /* Medium */
    font-style: normal;
    font-family: "Pathway Extreme", sans-serif !important;
}

/* Styl dla różnych klas tekstowych */
.text-normal, .text-normal p {
    font-family: "Pathway Extreme", sans-serif !important;
    font-size: 18px;
    line-height: 35px;
    letter-spacing: 0.36px;
    font-weight: 400; /* Regular */
}

.text-medium, .text-medium p {
    font-family: "Pathway Extreme", sans-serif !important;
    font-size: 20px;
    letter-spacing: 0.4px;
    line-height: 32px;
    font-weight: 500; /* Medium */
}

.text-semibold, .text-semibold p {
    font-family: "Pathway Extreme", sans-serif !important;
    font-size: 20px;
    letter-spacing: 0.6px;
    line-height: 32px;
    font-weight: 600; /* SemiBold */
}

.text-bold, .text-bold p {
    font-family: "Pathway Extreme", sans-serif !important;
    font-size: 20px;
    letter-spacing: 0.6px;
    line-height: 32px;
    font-weight: 700; /* Bold */
}

.text-extrabold, .text-extrabold p {
    font-family: "Pathway Extreme", sans-serif !important;
    font-size: 20px;
    letter-spacing: 0.6px;
    line-height: 32px;
    font-weight: 800; /* ExtraBold */
}

/* Ogólne style dla nagłówków */
.h1-text, .h1-text h1, h1,
.h2-text, .h2-text h2, h2 {
    font-family: 'UniSansLight', sans-serif !important;
    font-weight: 300; /* Light */
    font-style: normal;
    margin-bottom: 1em;
}

.h3-text, .h3-text h3, h3,
.h4-text, .h4-text h4, h4,
.h5-text, .h5-text h5, h5,
.h6-text, .h6-text h6, h6 {
    font-family: "Pathway Extreme", sans-serif !important;
    font-weight: 400; /* Regular */
    font-style: normal;
}

/* Specyficzne rozmiary i odstępy dla nagłówków */
.h1-text, .h1-text h1, h1, .h1-text p {
    font-size: 132px;
    line-height: 142px;
}

.h1-text p {
    margin-bottom: 0px;
}

.h2-text, .h2-text h2, h2, .h2-text p {
    font-size: 90px;
    line-height: 100px;
}

.h2-text p {
    margin-bottom: 0px;
}

.h3-text, .h3-text h3, h3, .h3-text p {
    font-size: 40px !important;
    line-height: 55px;
}

.h4-text, .h4-text h4, h4, .h4-text p {
    font-size: 30px;
    line-height: 43px;
}

.h5-text, .h5-text h5, h5, .h5-text p {
    font-size: 24px;
    line-height: 36px;
}

.h6-text, .h6-text h6, h6, .h6-text p {
    font-size: 20px;
    line-height: 32px;
}

/* Kursywa dla nagłówków */
.h1-text i, .h1-text em, .h1-text h1 i, .h1-text h1 em, .h1-text p i, .h1-text p em, h1 i, h1 em,
.h2-text i, .h2-text em, .h2-text h2 i, .h2-text h2 em, .h2-text p i, .h2-text p em, h2 i, h2 em {
    font-family: 'UniSansLightItalic', sans-serif !important;
    font-style: italic;
    font-weight: 300;
}

.h3-text i, .h3-text em, .h3-text h3 i, .h3-text h3 em, .h3-text p i, .h3-text p em, h3 i, h3 em,
.h4-text i, .h4-text em, .h4-text h4 i, .h4-text h4 em, .h4-text p i, .h4-text p em, h4 i, h4 em,
.h5-text i, .h5-text em, .h5-text h5 i, .h5-text h5 em, .h5-text p i, .h5-text p em, h5 i, h5 em,
.h6-text i, .h6-text em, .h6-text h6 i, .h6-text h6 em, .h6-text p i, .h6-text p em, h6 i, h6 em {
    font-family: 'Pathway Extreme', sans-serif !important;
    font-style: italic;
}

/* Pogrubienie dla nagłówków */
.h1-text strong, .h1-text b, .h1-text h1 strong, .h1-text h1 b, .h1-text p strong, .h1-text p b, h1 strong, h1 b,
.h2-text strong, .h2-text b, .h2-text h2 strong, .h2-text h2 b, .h2-text p strong, .h2-text p b, h2 strong, h2 b {
    font-weight: 900; /* Black */
    font-family: 'UniSansBold', sans-serif !important;
}

.h3-text strong, .h3-text b, .h3-text h3 strong, .h3-text h3 b, .h3-text p strong, .h3-text p b, h3 strong, h3 b,
.h4-text strong, .h4-text b, .h4-text h4 strong, .h4-text h4 b, .h4-text p strong, .h4-text p b, h4 strong, h4 b,
.h5-text strong, .h5-text b, .h5-text h5 strong, .h5-text h5 b, .h5-text p strong, .h5-text p b, h5 strong, h5 b,
.h6-text strong, .h6-text b, .h6-text h6 strong, .h6-text h6 b, .h6-text p strong, .h6-text p b, h6 strong, h6 b {
    font-weight: 600; /* Semi Bold */
    font-family: 'Pathway Extreme', sans-serif !important;
}

/* Pogrubienie i kursywa jednocześnie dla nagłówków */
.h1-text strong em, .h1-text em strong, .h1-text b i, .h1-text i b,
.h1-text h1 strong em, .h1-text h1 em strong, .h1-text h1 b i, .h1-text h1 i b,
.h1-text p strong em, .h1-text p em strong, .h1-text p b i, .h1-text p i b,
h1 strong em, h1 em strong, h1 b i, h1 i b,
.h2-text strong em, .h2-text em strong, .h2-text b i, .h2-text i b,
.h2-text h2 strong em, .h2-text h2 em strong, .h2-text h2 b i, .h2-text h2 i b,
.h2-text p strong em, .h2-text p em strong, .h2-text p b i, .h2-text p i b,
h2 strong em, h2 em strong, h2 b i, h2 i b {
    font-family: 'UniSansHeavyItalic', sans-serif !important;
    font-weight: 900;
    font-style: italic;
}

.h3-text strong em, .h3-text em strong, .h3-text b i, .h3-text i b,
.h3-text h3 strong em, .h3-text h3 em strong, .h3-text h3 b i, .h3-text h3 i b,
.h3-text p strong em, .h3-text p em strong, .h3-text p b i, .h3-text p i b,
h3 strong em, h3 em strong, h3 b i, h3 i b,
.h4-text strong em, .h4-text em strong, .h4-text b i, .h4-text i b,
.h4-text h4 strong em, .h4-text h4 em strong, .h4-text h4 b i, .h4-text h4 i b,
.h4-text p strong em, .h4-text p em strong, .h4-text p b i, .h4-text p i b,
h4 strong em, h4 em strong, h4 b i, h4 i b,
.h5-text strong em, .h5-text em strong, .h5-text b i, .h5-text i b,
.h5-text h5 strong em, .h5-text h5 em strong, .h5-text h5 b i, .h5-text h5 i b,
.h5-text p strong em, .h5-text p em strong, .h5-text p b i, .h5-text p i b,
h5 strong em, h5 em strong, h5 b i, h5 i b,
.h6-text strong em, .h6-text em strong, .h6-text b i, .h6-text i b,
.h6-text h6 strong em, .h6-text h6 em strong, .h6-text h6 b i, .h6-text h6 i b,
.h6-text p strong em, .h6-text p em strong, .h6-text p b i, .h6-text p i b,
h6 strong em, h6 em strong, h6 b i, h6 i b {
    font-family: 'Pathway Extreme', sans-serif !important;
    font-weight: 900;
    font-style: italic;
}

/* Media queries dla małych Full HD */
@media (max-width: 1400px) {
    .h1-text, .h1-text h1, h1, .h1-text p {
        font-size: 110px;
        line-height: 120px;
    }

    .h2-text, .h2-text h2, h2, .h2-text p {
        font-size: 80px;
        line-height: 90px;
    }

    .h3-text, .h3-text h3, h3, .h3-text p {
        font-size: 38px;
        line-height: 50px;
    }

    .h4-text, .h4-text h4, h4, .h4-text p {
        font-size: 28px;
        line-height: 40px;
    }

    .h5-text, .h5-text h5, h5, .h5-text p {
        font-size: 22px;
        line-height: 34px;
    }

    .h6-text, .h6-text h6, h6, .h6-text p {
        font-size: 18px;
        line-height: 30px;
    }

    p {
        font-size: 16px;
        line-height: 30px;
    }

    .text-normal, .text-normal p {
        font-size: 16px;
        line-height: 30px;
    }

    .text-medium, .text-medium p {
        font-size: 18px;
        line-height: 28px;
    }

    .text-semibold, .text-semibold p,
    .text-bold, .text-bold p,
    .text-extrabold, .text-extrabold p {
        font-size: 18px;
        line-height: 28px;
    }
}

/* Media queries dla małych desktopów */
@media (max-width: 1024px) {
    .h1-text, .h1-text h1, h1, .h1-text p {
        font-size: 90px;
        line-height: 100px;
    }

    .h2-text, .h2-text h2, h2, .h2-text p {
        font-size: 70px;
        line-height: 80px;
    }

    .h3-text, .h3-text h3, h3, .h3-text p {
        font-size: 35px;
        line-height: 45px;
    }

    .h4-text, .h4-text h4, h4, .h4-text p {
        font-size: 28px;
        line-height: 38px;
    }

    .h5-text, .h5-text h5, h5, .h5-text p {
        font-size: 22px;
        line-height: 32px;
    }

    .h6-text, .h6-text h6, h6, .h6-text p {
        font-size: 18px;
        line-height: 28px;
    }

    p {
        font-size: 15px;
        line-height: 28px;
    }

    .text-normal, .text-normal p {
        font-size: 15px;
        line-height: 28px;
    }

    .text-medium, .text-medium p {
        font-size: 17px;
        line-height: 26px;
    }

    .text-semibold, .text-semibold p,
    .text-bold, .text-bold p,
    .text-extrabold, .text-extrabold p {
        font-size: 17px;
        line-height: 26px;
    }
}

/* Media queries dla urządzeń mobilnych */
@media (max-width: 768px) {
    .h1-text, .h1-text h1, h1, .h1-text p {
        font-size: 72px;
        line-height: 82px;
    }

    .h2-text, .h2-text h2, h2, .h2-text p {
        font-size: 60px;
        line-height: 70px;
    }

    .h3-text, .h3-text h3, h3, .h3-text p {
        font-size: 30px !important;
        line-height: 40px;
    }

    .h4-text, .h4-text h4, h4, .h4-text p {
        font-size: 25px;
        line-height: 35px;
    }

    .h5-text, .h5-text h5, h5, .h5-text p {
        font-size: 20px;
        line-height: 30px;
    }

    .h6-text, .h6-text h6, h6, .h6-text p {
        font-size: 16px;
        line-height: 26px;
    }

    p {
        font-size: 14px;
        line-height: 25px;
    }

    .text-normal, .text-normal p {
        font-size: 14px;
        line-height: 25px;
    }

    .text-medium, .text-medium p {
        font-size: 16px;
        line-height: 24px;
    }

    .text-semibold, .text-semibold p,
    .text-bold, .text-bold p,
    .text-extrabold, .text-extrabold p {
        font-size: 16px;
        line-height: 24px;
    }
}

/* Media queries dla małych urządzeń mobilnych */
@media (max-width: 480px) {
    .h1-text, .h1-text h1, h1, .h1-text p {
        font-size: 50px !important;
        line-height: 60px;
    }

    .h2-text, .h2-text h2, h2, .h2-text p {
        font-size: 40px !important;
        line-height: 50px;
    }

    .h3-text, .h3-text h3, h3, .h3-text p {
        font-size: 25px;
        line-height: 35px;
    }

    .h4-text, .h4-text h4, h4, .h4-text p {
        font-size: 22px;
        line-height: 32px;
    }

    .h5-text, .h5-text h5, h5, .h5-text p {
        font-size: 18px;
        line-height: 28px;
    }

    .h6-text, .h6-text h6, h6, .h6-text p {
        font-size: 14px;
        line-height: 24px;
    }

    p {
        font-size: 13px;
        line-height: 22px;
    }

    .text-normal, .text-normal p {
        font-size: 13px;
        line-height: 22px;
    }

    .text-medium, .text-medium p {
        font-size: 15px;
        line-height: 22px;
    }

    .text-semibold, .text-semibold p,
    .text-bold, .text-bold p,
    .text-extrabold, .text-extrabold p {
        font-size: 15px;
        line-height: 22px;
    }
}
